package com.fizz.business.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fizz.business.constants.enums.DeviceEnum;
import com.fizz.business.dto.CoilPositionDTO;
import com.fizz.business.form.AdjustPosForm;
import com.fizz.business.form.L1OperateMatForm;
import com.fizz.business.form.QueryEventForm;
import com.fizz.business.form.WebOperateMatForm;
import com.fizz.business.vo.CoilMeasureVO;
import com.fizz.business.vo.ReturnInfoVO;
import com.fizz.business.vo.HalfReturnInfoVO;

/**
 * @author chenhao
 * @date 2023/05/17
 */
public interface TrackService {
    void webOperateMat(WebOperateMatForm form);

    void l1OperateMat(L1OperateMatForm form);

    ReturnInfoVO getReturnInfo(int posIdx);

    CoilPositionDTO getCoilPosition();

    void adjustPosition(AdjustPosForm form);

}
